<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FEF898"
    android:gravity="center"
    android:orientation="vertical">

    <HorizontalScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <GridLayout
            xmlns:android="http://schemas.android.com/apk/res/android"
            android:id="@+id/GridLayout1"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center_vertical"
            android:columnCount="17"
            android:orientation="horizontal"
            android:rowCount="14">

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="@string/cfgaddr"
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   0   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   1   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   2   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   3   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   4   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   5   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   6   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   7   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   8   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   9   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   A   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   B   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   C   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   D   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   E   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="   F   "
                android:textSize="22dp"/>

            <TextView
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="8040"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="2"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="8050"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="3"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="8060"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="4"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="8070"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="5"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="8080"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="6"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="8090"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="7"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="80A0"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="8"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="80B0"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="9"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="80C0"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="10"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="80D0"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="11"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="80E0"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="12"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="80F0"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="1"
                android:layout_column="1"
                android:layout_columnSpan="7"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#ADAEAD"
                android:text="      " />

            <TextView
                android:layout_row="13"
                android:layout_column="0"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#FFCCCC"
                android:text="8100"
                android:textSize="22dp"/>

            <TextView
                android:layout_row="13"
                android:layout_column="2"
                android:layout_columnSpan="15"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:background="#ADAEAD"
                android:text="      " />

            <EditText
                android:id="@+id/cfg8047"
                android:layout_row="1"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8048"
                android:layout_row="1"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8049"
                android:layout_row="1"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg804A"
                android:layout_row="1"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg804B"
                android:layout_row="1"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg804C"
                android:layout_row="1"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg804D"
                android:layout_row="1"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg804E"
                android:layout_row="1"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg804F"
                android:layout_row="1"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 804X............................. -->

            <EditText
                android:id="@+id/cfg8050"
                android:layout_row="2"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8051"
                android:layout_row="2"
                android:layout_column="2"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8052"
                android:layout_row="2"
                android:layout_column="3"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8053"
                android:layout_row="2"
                android:layout_column="4"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8054"
                android:layout_row="2"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8055"
                android:layout_row="2"
                android:layout_column="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8056"
                android:layout_row="2"
                android:layout_column="7"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8057"
                android:layout_row="2"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8058"
                android:layout_row="2"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8059"
                android:layout_row="2"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg805A"
                android:layout_row="2"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg805B"
                android:layout_row="2"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg805C"
                android:layout_row="2"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg805D"
                android:layout_row="2"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg805E"
                android:layout_row="2"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg805F"
                android:layout_row="2"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 805X............................. -->

            <EditText
                android:id="@+id/cfg8060"
                android:layout_row="3"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8061"
                android:layout_row="3"
                android:layout_column="2"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8062"
                android:layout_row="3"
                android:layout_column="3"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8063"
                android:layout_row="3"
                android:layout_column="4"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8064"
                android:layout_row="3"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8065"
                android:layout_row="3"
                android:layout_column="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8066"
                android:layout_row="3"
                android:layout_column="7"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8067"
                android:layout_row="3"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8068"
                android:layout_row="3"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8069"
                android:layout_row="3"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg806A"
                android:layout_row="3"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg806B"
                android:layout_row="3"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg806C"
                android:layout_row="3"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg806D"
                android:layout_row="3"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg806E"
                android:layout_row="3"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg806F"
                android:layout_row="3"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 806X............................. -->

            <EditText
                android:id="@+id/cfg8070"
                android:layout_row="4"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8071"
                android:layout_row="4"
                android:layout_column="2"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8072"
                android:layout_row="4"
                android:layout_column="3"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8073"
                android:layout_row="4"
                android:layout_column="4"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8074"
                android:layout_row="4"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8075"
                android:layout_row="4"
                android:layout_column="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8076"
                android:layout_row="4"
                android:layout_column="7"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8077"
                android:layout_row="4"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8078"
                android:layout_row="4"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8079"
                android:layout_row="4"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg807A"
                android:layout_row="4"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg807B"
                android:layout_row="4"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg807C"
                android:layout_row="4"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg807D"
                android:layout_row="4"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg807E"
                android:layout_row="4"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg807F"
                android:layout_row="4"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 807X............................. -->

            <EditText
                android:id="@+id/cfg8080"
                android:layout_row="5"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8081"
                android:layout_row="5"
                android:layout_column="2"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8082"
                android:layout_row="5"
                android:layout_column="3"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8083"
                android:layout_row="5"
                android:layout_column="4"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8084"
                android:layout_row="5"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8085"
                android:layout_row="5"
                android:layout_column="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8086"
                android:layout_row="5"
                android:layout_column="7"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8087"
                android:layout_row="5"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8088"
                android:layout_row="5"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8089"
                android:layout_row="5"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg808A"
                android:layout_row="5"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg808B"
                android:layout_row="5"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg808C"
                android:layout_row="5"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg808D"
                android:layout_row="5"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg808E"
                android:layout_row="5"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg808F"
                android:layout_row="5"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 808X............................. -->

            <EditText
                android:id="@+id/cfg8090"
                android:layout_row="6"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8091"
                android:layout_row="6"
                android:layout_column="2"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8092"
                android:layout_row="6"
                android:layout_column="3"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8093"
                android:layout_row="6"
                android:layout_column="4"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8094"
                android:layout_row="6"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8095"
                android:layout_row="6"
                android:layout_column="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8096"
                android:layout_row="6"
                android:layout_column="7"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8097"
                android:layout_row="6"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8098"
                android:layout_row="6"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg8099"
                android:layout_row="6"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg809A"
                android:layout_row="6"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg809B"
                android:layout_row="6"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg809C"
                android:layout_row="6"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg809D"
                android:layout_row="6"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg809E"
                android:layout_row="6"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg809F"
                android:layout_row="6"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 809X............................. -->

            <EditText
                android:id="@+id/cfg80A0"
                android:layout_row="7"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80A1"
                android:layout_row="7"
                android:layout_column="2"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80A2"
                android:layout_row="7"
                android:layout_column="3"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80A3"
                android:layout_row="7"
                android:layout_column="4"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80A4"
                android:layout_row="7"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80A5"
                android:layout_row="7"
                android:layout_column="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80A6"
                android:layout_row="7"
                android:layout_column="7"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80A7"
                android:layout_row="7"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80A8"
                android:layout_row="7"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80A9"
                android:layout_row="7"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80AA"
                android:layout_row="7"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80AB"
                android:layout_row="7"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80AC"
                android:layout_row="7"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80AD"
                android:layout_row="7"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80AE"
                android:layout_row="7"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80AF"
                android:layout_row="7"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 80AX............................. -->

            <EditText
                android:id="@+id/cfg80B0"
                android:layout_row="8"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80B1"
                android:layout_row="8"
                android:layout_column="2"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80B2"
                android:layout_row="8"
                android:layout_column="3"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80B3"
                android:layout_row="8"
                android:layout_column="4"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80B4"
                android:layout_row="8"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80B5"
                android:layout_row="8"
                android:layout_column="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80B6"
                android:layout_row="8"
                android:layout_column="7"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80B7"
                android:layout_row="8"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80B8"
                android:layout_row="8"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80B9"
                android:layout_row="8"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80BA"
                android:layout_row="8"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80BB"
                android:layout_row="8"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80BC"
                android:layout_row="8"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80BD"
                android:layout_row="8"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80BE"
                android:layout_row="8"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80BF"
                android:layout_row="8"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 80BX............................. -->

            <EditText
                android:id="@+id/cfg80C0"
                android:layout_row="9"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80C1"
                android:layout_row="9"
                android:layout_column="2"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80C2"
                android:layout_row="9"
                android:layout_column="3"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80C3"
                android:layout_row="9"
                android:layout_column="4"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80C4"
                android:layout_row="9"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80C5"
                android:layout_row="9"
                android:layout_column="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80C6"
                android:layout_row="9"
                android:layout_column="7"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80C7"
                android:layout_row="9"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80C8"
                android:layout_row="9"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80C9"
                android:layout_row="9"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80CA"
                android:layout_row="9"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80CB"
                android:layout_row="9"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80CC"
                android:layout_row="9"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80CD"
                android:layout_row="9"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80CE"
                android:layout_row="9"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80CF"
                android:layout_row="9"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 80CX............................. -->

            <EditText
                android:id="@+id/cfg80D0"
                android:layout_row="10"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80D1"
                android:layout_row="10"
                android:layout_column="2"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80D2"
                android:layout_row="10"
                android:layout_column="3"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80D3"
                android:layout_row="10"
                android:layout_column="4"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80D4"
                android:layout_row="10"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80D5"
                android:layout_row="10"
                android:layout_column="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80D6"
                android:layout_row="10"
                android:layout_column="7"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80D7"
                android:layout_row="10"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80D8"
                android:layout_row="10"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80D9"
                android:layout_row="10"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80DA"
                android:layout_row="10"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80DB"
                android:layout_row="10"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80DC"
                android:layout_row="10"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80DD"
                android:layout_row="10"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80DE"
                android:layout_row="10"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80DF"
                android:layout_row="10"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 80DX............................. -->

            <EditText
                android:id="@+id/cfg80E0"
                android:layout_row="11"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80E1"
                android:layout_row="11"
                android:layout_column="2"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80E2"
                android:layout_row="11"
                android:layout_column="3"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80E3"
                android:layout_row="11"
                android:layout_column="4"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80E4"
                android:layout_row="11"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80E5"
                android:layout_row="11"
                android:layout_column="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80E6"
                android:layout_row="11"
                android:layout_column="7"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80E7"
                android:layout_row="11"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80E8"
                android:layout_row="11"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80E9"
                android:layout_row="11"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80EA"
                android:layout_row="11"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80EB"
                android:layout_row="11"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80EC"
                android:layout_row="11"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80ED"
                android:layout_row="11"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80EE"
                android:layout_row="11"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80EF"
                android:layout_row="11"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 80EX............................. -->

            <EditText
                android:id="@+id/cfg80F0"
                android:layout_row="12"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80F1"
                android:layout_row="12"
                android:layout_column="2"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80F2"
                android:layout_row="12"
                android:layout_column="3"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80F3"
                android:layout_row="12"
                android:layout_column="4"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80F4"
                android:layout_row="12"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80F5"
                android:layout_row="12"
                android:layout_column="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80F6"
                android:layout_row="12"
                android:layout_column="7"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80F7"
                android:layout_row="12"
                android:layout_column="8"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80F8"
                android:layout_row="12"
                android:layout_column="9"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80F9"
                android:layout_row="12"
                android:layout_column="10"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80FA"
                android:layout_row="12"
                android:layout_column="11"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80FB"
                android:layout_row="12"
                android:layout_column="12"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80FC"
                android:layout_row="12"
                android:layout_column="13"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80FD"
                android:layout_row="12"
                android:layout_column="14"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80FE"
                android:layout_row="12"
                android:layout_column="15"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

            <EditText
                android:id="@+id/cfg80FF"
                android:layout_row="12"
                android:layout_column="16"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />
            <!-- ......................The End of 80FX............................. -->

            <EditText
                android:id="@+id/cfg8100"
                android:layout_row="13"
                android:layout_column="1"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="00"
                android:maxLength="2"
                android:singleLine="true"
                android:textAlignment="center" />

        </GridLayout>

    </HorizontalScrollView>


</LinearLayout>